using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace LHDN.CRM.Test
{
    [TestClass]
    public class DumpTest
    {
        [TestMethod]
        public void TestGetTaxPayers()
        {
            BC.Repositories.TaxPayerRepository tpRepo = new BC.Repositories.TaxPayerRepository();

            var lstTP = tpRepo.GetAllTaxPayers();
        }

        [TestMethod]
        public void TestTaxPayer()
        {
            BC.Repositories.TaxPayerRepository tpRepo = new BC.Repositories.TaxPayerRepository();

            var tp = tpRepo.GetTaxPayer(1);
        }

        [TestMethod]
        public void TestTaxPayerBC()
        {
            using (BC.Services.TaxPayerService svc = new BC.Services.TaxPayerService())
            {
                var tp = svc.GetById(1);
            }
        }
    }
}
